summarylogtreecommitdiffstats
path: root/aurto.install
diff options
context:
space:
mode:
authorAlex Butler2018-05-31 12:30:24 +0100
committerAlex Butler2018-05-31 12:30:24 +0100
commit6519be66a3120e0e1008e52b237d740c75a9dfbb (patch)
treed6547db91d489efeeb4fca499132e4d13ffb4f88 /aurto.install
parent7ea3b7b49fcd6118e55688abb9ce75b75897fdf9 (diff)
downloadaur-6519be66a3120e0e1008e52b237d740c75a9dfbb.tar.gz
0.7-1
Add curl dep, cargo makedep Update install script to setup default trusted-users
Diffstat (limited to 'aurto.install')
-rw-r--r--aurto.install11
1 files changed, 9 insertions, 2 deletions
diff --git a/aurto.install b/aurto.install
index 1969ec98ca80..54aa7c9be03a 100644
--- a/aurto.install
+++ b/aurto.install
@@ -26,6 +26,11 @@ post_install() {
fi
echo -e "# aurto repo\\nInclude = /etc/pacman.d/aurto" >> /etc/pacman.conf
+ if ! test -f /etc/aurto/trusted-users; then
+ echo 'aurto: Adding default trusted users -> /etc/aurto/trusted-users' >&2
+ install -D -o "$user" /usr/lib/aurto/default-trusted-users.txt /etc/aurto/trusted-users
+ fi
+
echo 'aurto: Adding & enabling systemd timer update tasks' >&2
systemctl enable --now /usr/lib/systemd/system/check-aurto-git-trigger.timer
systemctl enable --now /usr/lib/systemd/system/update-aurto.timer
@@ -53,7 +58,9 @@ post_remove() {
sed -i '/^# aurto repo$/d' /etc/pacman.conf
echo 'aurto: Removing /var/cache/pacman/aurto' >&2
- rm -rf /var/cache/pacman/aurto || true
+ rm -rf /var/cache/pacman/aurto 2>/dev/null || true
- rm -rf /usr/lib/aurto/user || true
+ rm -f /usr/lib/aurto/user 2>/dev/null || true
+ rm -f /etc/aurto/trusted-users 2>/dev/null || true
+ rm -d /etc/aurto 2>/dev/null || true
}